<h1>Dir: test</h1>
    <section>        <h2>\Tlf\Tester\Test\Compare</h2><details>
    <summary><b>UnsortedArray:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
        
        +++pass+++
        Target:
        array ( 'a' =&gt; 'a', 'b' =&gt; 'b', )
        --
        Actual:
        array ( 'b' =&gt; 'b', 'a' =&gt; 'a', )
        --------
        
        
        +++pass+++
        is_false()
        
        +++pass+++ (inverted)
         strict comparisonTarget:
        array ( 'a' =&gt; 'a', 'b' =&gt; 'b', )
        --
        Actual:
        array ( 'b' =&gt; 'b', 'a' =&gt; 'a', )
        --------
        
    </div>
</details>
<details>
    <summary><b>ComparePHPFileToString:</b> <span style="color:green;">success</span> in 0.114ms   </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
        
        +++pass+++
        Target:
        I am php output
        --
        Actual:
        I am php output
        --------
        
        
        +++pass+++
        Target:
        I am php output
        --
        Actual:
        I am php output
        --------
        
    </div>
</details>
<details>
    <summary><b>CompareFileToStringStrict:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
        
        +++pass+++ (inverted)
         strict comparisonTarget:
        abcd
        I am a file
        
        I get tested against myself
        --
        Actual:
        file:///home/reed/data/owner/Reed/projects/php/unit-tester/test/extra/Compare/Compare.txt
        --------
        
        
        +++pass+++ (inverted)
         strict comparisonTarget:
        file:///home/reed/data/owner/Reed/projects/php/unit-tester/test/extra/Compare/Compare.txt
        --
        Actual:
        abcd
        I am a file
        
        I get tested against myself
        --------
        
    </div>
</details>
<details>
    <summary><b>CompareFileToStringLoose:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
        
        +++pass+++
        Target:
        abcd
        I am a file
        
        I get tested against myself
        --
        Actual:
        abcd
        I am a file
        
        I get tested against myself
        --------
        
        
        +++pass+++
        Target:
        abcd
        I am a file
        
        I get tested against myself
        --
        Actual:
        abcd
        I am a file
        
        I get tested against myself
        --------
        
    </div>
</details>
<details>
    <summary><b>ComparestringsWithDiffPad:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
        
        +++pass+++ (inverted)
         strict comparisonTarget:
           I am a string.
        --
        Actual:
        I am a string.
        --------
        
        
        +++pass+++
        Target:
        I am a string.
        --
        Actual:
        I am a string.
        --------
        
    </div>
</details>
<details>
    <summary><b>CompareStringsThatMatch:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
        
        +++pass+++
         strict comparisonTarget:
        Be good to others.
        --
        Actual:
        Be good to others.
        --------
        
    </div>
</details>
        <h2>\Tlf\Tester\Test\NewTests</h2><details>
    <summary><b>NewCliRunTest:</b> <strong style="color:blue;">error</strong> in 0.531ms   </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
        dir /home/reed/data/owner/Reed/projects/php/unit-tester/test/extra//test
        class \Tlf\Tester\Test\SubTest\Test
          + Anything
        
        Passing: 1 tests
        Failing: 0 tests
        
        See file:///home/reed/data/owner/Reed/projects/php/unit-tester/test/extra/test/TestResults.html for extended output
        
        
        
        
    </div>
    <br>
    <div style='color:red;padding-left:4ch;white-space:pre;'>
        ErrorException: Undefined index: \Taeluf\Tester\Test\SubTest\Test in /home/reed/data/owner/Reed/projects/php/unit-tester/test/all/New.php:14
        Stack trace:
        #0 /home/reed/data/owner/Reed/projects/php/unit-tester/test/all/New.php(14): Tlf\Tester->throwError()
        #1 /home/reed/data/owner/Reed/projects/php/unit-tester/code/Tester.php(129): Tlf\Tester\Test\NewTests->testNewCliRunTest()
        #2 /home/reed/data/owner/Reed/projects/php/unit-tester/code/NewCli.php(134): Tlf\Tester->run()
        #3 /home/reed/data/owner/Reed/projects/php/unit-tester/code/phptest(29): Tlf\Tester\NewCli->run()
        #4 /home/reed/data/owner/Reed/projects/php/cli/test/Cli.php(90): {closure}()
        #5 /home/reed/data/owner/Reed/projects/php/unit-tester/code/phptest(39): Tlf\Cli->execute()
        #6 {main}
    </div>
</details>
<details>
    <summary><b>NewCli:</b> <span style="color:green;">success</span> in 0.297ms   </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
        
        
        ****subtest: Inputs****
        
        +++pass+++
        Target:
        array ( 'file.config' =&gt; 'test/config.json', 'test' =&gt; '', 'config' =&gt; 'value', 'boolConfig' =&gt; '', 'anotherBoolConfig' =&gt; '1', 'key' =&gt; 'value2', )
        --
        Actual:
        array ( 'file.config' =&gt; 'test/config.json', 'test' =&gt; '', 'config' =&gt; 'value', 'boolConfig' =&gt; '', 'anotherBoolConfig' =&gt; '1', 'key' =&gt; 'value2', )
        --------
        
        
        ****subtest: Configs****
        
        +++pass+++
        Target:
        array ( 'dir.test' =&gt; 'test', 'dir.exclude' =&gt; array ( 0 =&gt; 'extra', ), 'file.autoloader' =&gt; '../../vendor/autoload.php', 'file.require' =&gt; array ( ), 'dir.require' =&gt; array ( ), 'results.writeHtml' =&gt; '1', )
        --
        Actual:
        array ( 'dir.test' =&gt; 'test', 'dir.exclude' =&gt; array ( 0 =&gt; 'extra', ), 'file.autoloader' =&gt; '../../vendor/autoload.php', 'file.require' =&gt; array ( ), 'dir.require' =&gt; array ( ), 'results.writeHtml' =&gt; '1', )
        --------
        
    </div>
</details>
        <h2>\Tlf\Tester\Test\SubTest\Test</h2><details>
    <summary><b>Anything:</b> <span style="color:green;">success</span>    </summary>
    <div style='padding-left:4ch;white-space:pre;'>
        
        
        +++pass+++
        Target:
        true
        --
        Actual:
        true
        --------
        
    </div>
</details>
    </section>